%define _prefix /usr
%define kdeprefix %{_prefix}

Name: kimon
Summary: Kimon - ISDN monitor for the KDE Desktop Environment
Version: 2.0pre1
Release: 2
Source: http://download.sourceforge.net/kimon/%{name}-%{version}.tar.gz
Patch0: kimon-2.0pre1-buildroot.patch
Url: http://kimon.sourceforge.net
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Copyright: GPL
Requires: isdn4k-utils, kdelibs
BuildPrereq: kdelibs-devel
ExcludeArch: ia64
Prefix: %{kdeprefix}

%description
Kimon is a ISDN-Monitor for the KDE Desktop Environment.
This program opens a small window in the taskbar showing
the status of two ISDN-channels.

%prep
%setup -q
%patch -p1 -b .buildroot

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{kdeprefix}

make

%install
rm -rf $RPM_BUILD_ROOT

make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%files -f file.list.%{name}

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Mon Oct 30 2000 Than Ngo <than@redhad.com>
- Update to 2.0pre1, support KDE2
- Update Url

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++

* Sun Jul 02 2000 Karsten Hopp <karsten@redhat.de>
- changed prefix
- added bindir

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- add requires isdn4k-utils

* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- was in a bad group, fixed.
- fixed build prob. with sparc

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- Initial packaging as RPM for powertools-6.2
